org.richfaces.component

## Enum UIPlaceholder.Properties

- java.lang.Object
- - java.lang.Enum<UIPlaceholder.Properties>
  - - org.richfaces.component.UIPlaceholder.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIPlaceholder.Properties>
  Enclosing class:
    UIPlaceholder

      protected static enum UIPlaceholder.Properties
      extends Enum<UIPlaceholder.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `selector`
    `styleClass`
    `value`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIPlaceholder.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIPlaceholder.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### selector

          public static final UIPlaceholder.Properties selector

    - #### styleClass

          public static final UIPlaceholder.Properties styleClass

    - #### value

          public static final UIPlaceholder.Properties value

  - ### Method Detail

    - #### values

          public static UIPlaceholder.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIPlaceholder.Properties c : UIPlaceholder.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIPlaceholder.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.